> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Admin VR Stats

> Get virtual receptionist statistics with optional time distribution



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/reporting/virtual-receptionist/stats
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/reporting/virtual-receptionist/stats:
    post:
      tags:
        - Reporting - Virtual Receptionist
      summary: Admin VR Stats
      description: Get virtual receptionist statistics with optional time distribution
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                vrId:
                  type: number
                  exclusiveMinimum: 0
                  description: Virtual receptionist ID
                startDate:
                  type: string
                  description: Start date for the report period
                endDate:
                  type: string
                  description: End date for the report period
                distribution:
                  description: >-
                    Time distribution grouping (daily, weekly, monthly, or
                    totals)
                  anyOf:
                    - type: string
                      enum:
                        - weekly
                    - type: string
                      enum:
                        - daily
                    - type: string
                      enum:
                        - monthly
                    - type: string
                      enum:
                        - totals
                tag:
                  description: Filter by call tags
                  minItems: 1
                  type: array
                  items:
                    type: string
                callOutcome:
                  description: Filter by call outcome IDs
                  minItems: 1
                  type: array
                  items:
                    type: number
                dialed:
                  description: Filter by dialed numbers
                  type: array
                  items:
                    type: string
              required:
                - vrId
                - startDate
                - endDate
              additionalProperties: false
      responses:
        '200':
          description: VR statistics or export acknowledgement
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      vrId:
                        description: Virtual receptionist ID
                        type: number
                      date:
                        description: Distribution date
                        type: string
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            option:
                              anyOf:
                                - type: string
                                - type: 'null'
                              description: VR menu option pressed
                            total:
                              type: number
                              description: Total calls for this option
                            distribution:
                              description: Time distribution label
                              type: string
                          required:
                            - option
                            - total
                          additionalProperties: false
                        description: Virtual receptionist statistics
                    required:
                      - results
                    additionalProperties: false
                    description: Virtual receptionist statistics
                  - type: array
                    items:
                      type: object
                      properties:
                        vrId:
                          description: Virtual receptionist ID
                          type: number
                        date:
                          description: Distribution date
                          type: string
                        results:
                          type: array
                          items:
                            type: object
                            properties:
                              option:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                                description: VR menu option pressed
                              total:
                                type: number
                                description: Total calls for this option
                              distribution:
                                description: Time distribution label
                                type: string
                            required:
                              - option
                              - total
                            additionalProperties: false
                          description: Virtual receptionist statistics
                      required:
                        - results
                      additionalProperties: false
                      description: Virtual receptionist statistics
                  - type: object
                    properties:
                      message:
                        type: string
                        description: Status message
                      code:
                        type: number
                        description: Status code
                    required:
                      - message
                      - code
                    additionalProperties: false
                    description: Export acknowledgement
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````